Skip to main content
PATCH
/
api
/
v2
/
chatbots
/
{chatbotId}
Update chatbot
curl --request PATCH \
  --url https://sitegpt.ai/api/v2/chatbots/{chatbotId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Acme Help Center"
}
'
{
  "ok": true,
  "data": {
    "chatbot": {
      "id": "chatbot-id",
      "name": "Example chatbot",
      "createdAt": "2026-05-13T00:00:00.000Z"
    }
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Body

application/json
title
string
Required string length: 1 - 120
description
string
Maximum string length: 500

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required